> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Participant Next Question Batch



## OpenAPI

````yaml /openapi.json get /v1/participant/next-batch
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/participant/next-batch:
    get:
      tags:
        - v1-platform
      summary: Participant Next Question Batch
      operationId: participant_next_question_batch_v1_participant_next_batch_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 5
            maximum: 5
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NextQuestionBatch'
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Authentication required
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: State or idempotency conflict
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: API error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Internal server error
      security:
        - ParticipantToken: []
components:
  schemas:
    NextQuestionBatch:
      description: A server-reserved form batch from the published selection policy.
      properties:
        batch_id:
          title: Batch Id
          type: string
        complete:
          title: Complete
          type: boolean
        progress:
          maximum: 1
          minimum: 0
          title: Progress
          type: number
        questions:
          items:
            discriminator:
              mapping:
                date:
                  $ref: '#/components/schemas/ParticipantDateQuestion'
                multi_select:
                  $ref: '#/components/schemas/ParticipantMultiSelectQuestion'
                number:
                  $ref: '#/components/schemas/ParticipantNumberQuestion'
                number_group:
                  $ref: '#/components/schemas/ParticipantNumberGroupQuestion'
                short_text:
                  $ref: '#/components/schemas/ParticipantShortTextQuestion'
                single_select:
                  $ref: '#/components/schemas/ParticipantSingleSelectQuestion'
              propertyName: input
            oneOf:
              - $ref: '#/components/schemas/ParticipantSingleSelectQuestion'
              - $ref: '#/components/schemas/ParticipantMultiSelectQuestion'
              - $ref: '#/components/schemas/ParticipantShortTextQuestion'
              - $ref: '#/components/schemas/ParticipantNumberQuestion'
              - $ref: '#/components/schemas/ParticipantDateQuestion'
              - $ref: '#/components/schemas/ParticipantNumberGroupQuestion'
          maxItems: 5
          title: Questions
          type: array
        trace:
          $ref: '#/components/schemas/ParticipantSelectionTrace'
        why:
          anyOf:
            - type: string
            - type: 'null'
          title: Why
      required:
        - batch_id
        - complete
        - trace
        - progress
      title: NextQuestionBatch
      type: object
    ApiErrorResponse:
      additionalProperties: false
      properties:
        detail:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
          title: Detail
      required:
        - detail
      title: ApiErrorResponse
      type: object
    ParticipantDateQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: date
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
      title: ParticipantDateQuestion
      type: object
    ParticipantMultiSelectQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: multi_select
          title: Input
          type: string
        options:
          items:
            $ref: '#/components/schemas/ParticipantOption'
          title: Options
          type: array
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
        - options
      title: ParticipantMultiSelectQuestion
      type: object
    ParticipantNumberQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: number
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
      required:
        - id
        - prompt
        - input
      title: ParticipantNumberQuestion
      type: object
    ParticipantNumberGroupQuestion:
      properties:
        fields:
          items:
            $ref: '#/components/schemas/ParticipantGroupField'
          title: Fields
          type: array
        id:
          title: Id
          type: string
        input:
          const: number_group
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
        - fields
      title: ParticipantNumberGroupQuestion
      type: object
    ParticipantShortTextQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: short_text
          title: Input
          type: string
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
      title: ParticipantShortTextQuestion
      type: object
    ParticipantSingleSelectQuestion:
      properties:
        id:
          title: Id
          type: string
        input:
          const: single_select
          title: Input
          type: string
        options:
          items:
            $ref: '#/components/schemas/ParticipantOption'
          title: Options
          type: array
        prompt:
          title: Prompt
          type: string
        required:
          default: false
          title: Required
          type: boolean
      required:
        - id
        - prompt
        - input
        - options
      title: ParticipantSingleSelectQuestion
      type: object
    ParticipantSelectionTrace:
      properties:
        mandatory:
          title: Mandatory
          type: boolean
        policy_version:
          title: Policy Version
          type: string
        selected_question_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Selected Question Id
        stop_reason:
          enum:
            - mandatory_guardrail
            - selected
            - requirements_satisfied
            - question_bank_exhausted
          title: Stop Reason
          type: string
      required:
        - policy_version
        - selected_question_id
        - mandatory
        - stop_reason
      title: ParticipantSelectionTrace
      type: object
    ErrorDetail:
      additionalProperties: false
      description: Stable structured detail returned by versioned API errors.
      properties:
        code:
          title: Code
          type: string
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          title: Message
          type: string
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - code
        - message
      title: ErrorDetail
      type: object
    ParticipantOption:
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
      required:
        - id
        - label
      title: ParticipantOption
      type: object
    ParticipantGroupField:
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
      required:
        - id
        - label
      title: ParticipantGroupField
      type: object
  securitySchemes:
    ParticipantToken:
      bearerFormat: spt_...
      description: Short-lived token bound to one participant session.
      scheme: bearer
      type: http

````